Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jet.server.api.nls
Enum NLSType

    java.lang.Object
      java.lang.Enum<NLSType>
          jet.server.api.nls.NLSType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NLSType>

    public enum NLSType

extends java.lang.Enum<NLSType>

Represents the type of a Text NLS entry

Enum Constant Summary
`COLUMN`
`DISP`
`LABEL`
`META`
`PROMPT`
`TITLE`
`TOC`
`UNDEFINED`

Method Summary
`static NLSType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NLSType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDEFINED

    public static final NLSType UNDEFINED

### LABEL

    public static final NLSType LABEL

### COLUMN

    public static final NLSType COLUMN

### PROMPT

    public static final NLSType PROMPT

### TOC

    public static final NLSType TOC

### META

    public static final NLSType META

### TITLE

    public static final NLSType TITLE

### DISP

    public static final NLSType DISP

Method Detail

### values

    public static NLSType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NLSType c : NLSType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NLSType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD